更新 bookingAppointment
命名空间:microsoft.graph
更新指定 bookingBusiness 中 bookingAppointment 对象的属性。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | BookingsAppointment.ReadWrite.All、Bookings.ReadWrite.All、Bookings.Manage.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | BookingsAppointment.ReadWrite.All、Bookings.Read.All |
备注
如果使用应用程序权限创建自定义应用,则必须遵循 业务规则验证。
HTTP 请求
PATCH /solutions/bookingBusinesses/{id}/appointments/{id}
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | 持有者 {code}。必需。 |
请求正文
在请求正文中,仅 提供应更新的属性的值。未包含在请求正文中的现有属性将保留其以前的值或根据对其他属性值的更改重新计算。
下表指定可以更新的属性。
| 属性 | 类型 | Description |
|---|---|---|
| 客户 | bookingCustomerInformation 集合 | 它列出了约会的客户属性。 约会将包含客户信息列表,每个单位将指示属于该约会的客户的属性。 可选。 |
| customerTimeZone | String | 客户的时区。 有关可能值的列表,请参阅 dateTimeTimeZone。 |
| duration | 持续时间 | 约会的长度,以 ISO8601 格式表示。 |
| endDateTime | dateTimeTimeZone | 约会结束的日期、时间和时区。 |
| filledAttendeesCount | Int32 | 约会中的当前客户数。 必需。 |
| isLocationOnline | Boolean | 如果 true指示约会将联机进行。 默认值为 false。 |
| maximumAttendeesCount | Int32 | 约会中允许的最大客户数。 必需。 |
| optOutOfCustomerEmail | Boolean | 如果 true指示此约会的 bookingCustomer 不希望收到此约会的确认。 |
| postBuffer | 持续时间 | 例如,约会结束后要保留的时间,用于清理。 该值以 ISO8601 格式表示。 |
| preBuffer | 持续时间 | 例如,在约会开始之前,为准备而保留的时间量。 该值以 ISO8601 格式表示。 |
| 价格 | 双精度 | 指定 bookingService 的约会的常规价格。 |
| priceType | bookingPriceType | 一个设置,用于为服务的定价结构提供灵活性。 可取值为:undefined、fixedPrice、startingAt、hourly、free、priceVaries、callUs、notSet、unknownFutureValue。 |
| 提醒 | bookingReminder 集合 | 为此约会发送的客户提醒的集合。 仅当按其 ID 读取此 bookingAppointment 时,此属性的值才可用。 |
| selfServiceAppointmentId | String | 如果约会是由客户直接在计划页上创建的,而不是由代表客户的工作人员创建的,则为约会提供额外的跟踪 ID。 仅当 maxAttendeeCount 为 1 时才支持约会。 |
| 服务 Id | String | 与此约会关联的 bookingService 的 ID。 |
| serviceLocation | location | 服务的传送位置。 |
| serviceName | String | 与此约会关联的 bookingService 的名称。 创建新约会时,此属性是可选的。 如果未指定,则会从 ServiceId 属性与约会关联的服务中进行计算。 |
| serviceNotes | String | bookingStaffMember 中的备注。 仅当按其 ID 读取此 bookingAppointment 时,此属性的值才可用。 |
| smsNotificationsEnabled | 布尔 | 如果 true指示 SMS 通知将发送给客户进行约会。 默认值为 false。 |
| staffMemberIds | 字符串集合 | 此约会中计划的每位 bookingStaffMember 的 ID。 |
| startDateTime | dateTimeTimeZone | 约会开始的日期、时间和时区。 |
备注
如果服务中允许的最大客户数 (最大AttedeesCount) 大于 1:
- 确保客户存在于“预订日历”中。 如果不这样做,请使用 Create bookingCustomer 操作创建 。
- 创建或更新约会时传递有效的客户 ID。 如果客户 ID 无效,则该客户不会包含在约会对象中。
响应
如果成功,此方法返回 204 No Content 响应代码。 它不会在响应正文中返回任何内容。
示例
请求
以下示例将服务日期更改为一天。
PATCH https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/appointments/AAMkADKnAAA=
Content-type: application/json
{
"@odata.type":"#microsoft.graph.bookingAppointment",
"endDateTime":{
"@odata.type":"#microsoft.graph.dateTimeTimeZone",
"dateTime":"2018-05-06T12:30:00.0000000+00:00",
"timeZone":"UTC"
},
"startDateTime":{
"@odata.type":"#microsoft.graph.dateTimeTimeZone",
"dateTime":"2018-05-06T12:00:00.0000000+00:00",
"timeZone":"UTC"
}
}
响应
下面展示了示例响应。
HTTP/1.1 204 No Content
反馈
提交和查看相关反馈